---

mailhog_install_dir: /opt/mailhog
mailhog_binary_url: https://github.com/mailhog/MailHog/releases/download/v1.0.0/MailHog_linux_amd64
mhsendmail_binary_url: https://github.com/mailhog/mhsendmail/releases/download/v0.2.0/mhsendmail_linux_amd64
ssl_cert_dir: "/etc/ssl/local_certs"
ssl_key_dir: "/etc/ssl/private"
server_name: "dev.local"
apache_vhosts:
  - servername: "{{ server_name }}"
    documentroot: "/var/www/html"
apache_vhosts_ssl:
  - servername: "{{ server_name }}"
    documentroot: "/var/www/html"
    certificate_file: "{{ ssl_cert_dir }}/apache2.pem"
    certificate_key_file: "{{ ssl_key_dir }}/apache2.pem"
apache_group: www-data
apache_remove_default_vhost: true
php_version: "7.2"
php_default_version_debian: "7.2"
php_sendmail_path: "{{ mailhog_install_dir }}/mhsendmail"
php_packages_extra:
  - libapache2-mod-php{{ php_default_version_debian }}
  - php{{ php_default_version_debian }}-mysql
  - php-imagick
  - php{{ php_default_version_debian }}-zip
mysql_app_dbname: app_db
mysql_databases:
  - name: "{{ mysql_app_dbname }}"

ruby_install_gems:
  - compass

db_io_backup_dir: /var/www/tmp
db_io_tmp_dir: /var/www/tmp
db_io_post_import_sql_dir: "/var/www/db/post-import"
db_io_export_dir: /var/www/db

primary_db_name: "{{ mysql_app_dbname }}"
primary_db_user: root
primary_db_pass: root
primary_db_host: localhost
primary_db_port: 3306
